local utils = {}
WakeSpams.utils = utils

function utils:ConvertDB(version, db, defaults)
	
	if (version < 4200) then
		-- Nothing to save here yet.
		-- TODO: Add something before final release (or any beta releases)
		db = defaults
	end
	
	return db
end



-- ----------------------------
--  Utils
-- ----------------------------

function utils:ResetSpell(spellid)
	WakeSpams.Spells:InitSpellDB() -- Some strange bug in the config keeps changing the default spell db table, this is a cheap workaround
	self.db.profile.SpellDB[spellid] = self.DefaultSpellDB[spellid] or nil
	if(self.db.profile.SpellDB[spellid]) then 
		self.db.profile.SpellDB[spellid].secout = 0
		self.db.profile.SpellDB[spellid].OutputFlags = {}
	end
end

function utils:RaidIconText(t)
	local ri = ""
	if UnitExists(t) then
		ri = (GetRaidTargetIndex(t)) and ("{rt%d}"):format(GetRaidTargetIndex(t)) or ri
	end
	return ri
end

function utils:isNumeric(a)
    return type(tonumber(a)) == "number"
end

function utils:Explode(d, str)
	local t, ll
	t={}
	ll=0
	if(#str == 1) then return str end
		while true do
			l=strfind(str, d, ll+1, true)
			if l~=nil then
				tinsert(t, strsub(str, ll, l-1))
				ll=l+1
			else
				tinsert(t, strsub(str,ll))
				break
			end
		end
	return t
end

function utils:RegisterPopups()

	-- Spell detection
	StaticPopupDialogs["WS_DETECT_SUCCESS"] = {
	  text = "WakeSpams\n\nSpell detection successful!",
	  button1 = "Okay",
	  OnAccept = function()
		  --InterfaceOptionsFrame_OpenToCategory("WakeSpams")
		  return false
	  end,
	  timeout = 10,
	  whileDead = 1,
	  hideOnEscape = 1
	}
	
end
